﻿using System.Runtime.InteropServices;

namespace TestProject;

/// <summary>
/// 폰트 정보
/// </summary>
[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Unicode)]
public struct FontInfo
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region Field

    /// <summary>
    /// 크기
    /// </summary>
    public int Size;

    /// <summary>
    /// 폰트 인덱스
    /// </summary>
    public int FontIndex;

    /// <summary>
    /// 폰트 너비
    /// </summary>
    public short FontWidth;

    /// <summary>
    /// 폰트 크기
    /// </summary>
    public short FontSize;

    /// <summary>
    /// 폰트 패밀리
    /// </summary>
    public int FontFamily;

    /// <summary>
    /// 폰트 가중치
    /// </summary>
    public int FontWeight;

    /// <summary>
    /// 폰트명
    /// </summary>
    [MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]
    public string FontName;

    #endregion
}